1. Crypto Withdrawal
v1.0 (Deprecated)
  • v2.0 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • API
    • Authentication
      • Get Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
      • Get Settlement Statement
    • Merchant Management
      • Create Merchant
      • Get Merchant
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Account Management
        • Create Fiat Account Application
        • Get Fiat Account Application Status
        • Fiat Account Application Status Webhook
        • Add Bank Account
        • Get Bank Accounts
      • Fiat Withdrawal
        • Get List of Currencies that Supports Same-Name Withdrawal
        • Create Fiat Withdrawal
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
          POST
        • Remove Wallet Address
          POST
        • Create Crypto Withdrawal
          POST
        • Get Wallet Address
          GET
        • Get Crypto Withdrawal
          GET
        • Get Crypto Withdrawal History
          GET
        • Crypto Withdrawal Webhook
      • Crypto Checkout
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Collection
        • Buyer Management
          • Create Buyer
          • Get Buyer
          • Update Buyer
          • Buyer Status Webhook
        • Create Collection Wallet
        • Update Collection Wallet
        • Get Collection Wallet
        • Get Crypto Collection
        • Update Co-KYT status
        • Crypto Collection Wallet Webhook
        • Crypto Collection Webhook
      • Crypto Refund
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Tool
      • [Deprecated] Upload File
  1. Crypto Withdrawal

Crypto Withdrawal Webhook

Webhook
POST
Crypto Withdrawal Webhook
API Overview
ItemValue
API StatusRecommended
Current Versionv2.0
Backward CompatibilityYes
Applicable EnvironmentProduction
TypeWebhook (Incoming)
Description
To update crypto withdrawal status.
This is a webhook endpoint that must be implemented by the recipient to receive these notifications.
Important:
You do not need to call this API; instead, you need to expose a public endpoint matching this specification.
Refer to the Webhook section for details on signature verification, retry policy, and security best practices.

Request

Authorization
Body Params application/json

Example
{
    "eventType": "string",
    "notificationId": "string",
    "data": {
        "cryptoWithdrawalId": "string",
        "participantCode": "string",
        "withdrawalType": 1,
        "currency": "string",
        "feeCurrency": "string",
        "amount": 0,
        "feeAmount": 0,
        "beneficiaryWallet": {
            "label": "string",
            "description": "string",
            "blockchain": "string",
            "walletAddress": "string",
            "walletType": 1,
            "platformName": "string",
            "platformUserId": "string",
            "ownerInfo": {
                "ownerType": 1,
                "details": {
                    "name": "string",
                    "DOB": "2019-08-24",
                    "identityNumber": "string",
                    "residentialAddress": {
                        "country": "string",
                        "state": "string",
                        "city": "string",
                        "postcode": "string",
                        "addressLine1": "string",
                        "addressLine2": "string"
                    }
                }
            }
        },
        "kytInfo": {
            "kytType": 1,
            "kytResult": 1,
            "kytDetails": "string"
        },
        "txHash": "string",
        "purposeOfPayment": 1,
        "otherPurpose": "string",
        "relationshipWithThirdParty": 1,
        "otherRelationship": "string",
        "fileProofOfTransfer": "string",
        "fileIDOrPassport": "string",
        "filePurposeOfRecurring": "string",
        "status": 1,
        "statusInfo": "string",
        "updatedAt": 0,
        "createdAt": 0
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://your-api-server.com' \
--header 'Content-Type: application/json' \
--data-raw '{
    "eventType": "string",
    "notificationId": "string",
    "data": {
        "cryptoWithdrawalId": "string",
        "participantCode": "string",
        "withdrawalType": 1,
        "currency": "string",
        "feeCurrency": "string",
        "amount": 0,
        "feeAmount": 0,
        "beneficiaryWallet": {
            "label": "string",
            "description": "string",
            "blockchain": "string",
            "walletAddress": "string",
            "walletType": 1,
            "platformName": "string",
            "platformUserId": "string",
            "ownerInfo": {
                "ownerType": 1,
                "details": {
                    "name": "string",
                    "DOB": "2019-08-24",
                    "identityNumber": "string",
                    "residentialAddress": {
                        "country": "string",
                        "state": "string",
                        "city": "string",
                        "postcode": "string",
                        "addressLine1": "string",
                        "addressLine2": "string"
                    }
                }
            }
        },
        "kytInfo": {
            "kytType": 1,
            "kytResult": 1,
            "kytDetails": "string"
        },
        "txHash": "string",
        "purposeOfPayment": 1,
        "otherPurpose": "string",
        "relationshipWithThirdParty": 1,
        "otherRelationship": "string",
        "fileProofOfTransfer": "string",
        "fileIDOrPassport": "string",
        "filePurposeOfRecurring": "string",
        "status": 1,
        "statusInfo": "string",
        "updatedAt": 0,
        "createdAt": 0
    }
}'

Responses

🟢200Success
application/json
Body

Example
{}
Modified at 2026-04-02 07:32:36
Previous
Get Crypto Withdrawal History
Next
Crypto Checkout
Built with